Bug 1027291 - Missing smemcap command
Missing smemcap command
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: smem (Show other bugs)
21
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 08:36 EST by Rick
Modified: 2015-12-02 11:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 22:01:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick 2013-11-06 08:36:51 EST
Description of problem:
program "smemcap" is not included in package

Version-Release number of selected component (if applicable):
1.3-1

How reproducible:
smemcap never found

Steps to Reproduce:
1.  Install smem with "yum install smem"
2.  Try to run command "smemcap"
3.

Actual results:
bash: smemcap: command not found...


Expected results:
smemcap found and functional

Additional info:
smemcap is described in smem man page...

       To  capture  memory statistics on resource-constrained systems, the the
       smem source includes a utility named  smemcap.   smemcap  captures  all
       /proc entries required by smem and outputs them as an uncompressed .tar
       file to STDOUT.  smem can analyze the output using the --source option.
       smemcap is small and does not require Python.
Comment 1 Matthew Miller 2013-11-06 09:30:12 EST
From later in the man page, it really seems clear that the intention is for this file to be compiled for embedded systems, not built and included as a binary.

We could include it as a doc file, maybe, or in /usr/share?
Comment 2 Rick 2013-11-06 09:36:14 EST
It seems that adding smemcap would allow users to separate data collection from data analysis.  This could be useful for cases of unattended systems that meet some memory state criteria and then trigger data collection.
Comment 3 Daniel Cruver 2014-08-11 21:26:25 EDT
Some use cases I can think of would be:
If there was a hook that people could use when out of OOM Killer ran they could run this to see what was using up most of the space using the PSS statistics instead.

Additionally it could be useful for data collection for frameworks such as Nagios or to be placed on a cron job.  I don't know the actual overhead but smemcap which doesn't used python and uses c would take up less resources and be more appropriate to use instead of the smem application.  Eventually the user or Nagios would have to use the full smem application to get human readable data.

In general asking a system administrator to build an additional file to do enable a feature is in my opinion against the nature of RPMS but the note being there is better then a complete omission.

1.) I agree maybe the file should be in /usr/share and the man page should point the user there to find it
2.) Pre-building it should be done.  Maybe a separate package but this executable should be relatively small and wouldn't hurt that much to add it in the package.
Comment 4 Matthew Miller 2014-08-12 03:44:19 EDT
(In reply to Daniel Cruver from comment #3)
> 1.) I agree maybe the file should be in /usr/share and the man page should
> point the user there to find it
> 2.) Pre-building it should be done.  Maybe a separate package but this
> executable should be relatively small and wouldn't hurt that much to add it
> in the package.

Sounds reasonable. I'm traveling now and won't get a chance to work on this for a while, but if you want to submit patches for the spec file and man page that'd probably speed things up. :)

If we do include a pre-compiled smemcap, I think it is useful for the main package to remain noarch.
Comment 5 Fedora End Of Life 2015-01-09 15:29:18 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 14:05:32 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Rick 2015-02-17 14:16:31 EST
I don't seem smemcap available for F21 either.
Comment 8 Matthew Miller 2015-02-17 15:44:14 EST
True. Still not a thing. Thanks for reopening -- this had slipped from my radar.
Comment 9 Fedora End Of Life 2015-11-04 08:33:51 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-12-01 22:01:43 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.